#ifndef PROTOLOADER_HPP_
#define PROTOLOADER_HPP_

#include "data.hpp"
#include "protocol_buffers_definitions/recordings.pb.h"
#include <vector>


class ProtoLoader {
public:
  explicit ProtoLoader(char const* file_path);
  ~ProtoLoader();

  std::vector<Magnetic> magnetics() const;
  std::vector<Position> groundtruth() const;

  static constexpr double dt_min{1e-3};

private:
  char const* filePath_;
  ::indoors::proto::Recording recording_;
};

#endif /* PROTOLOADER_HPP_ */
